Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162307 - Error message concerning XKB
Summary: Error message concerning XKB
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: control-center
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: David Lawrence
URL:
Whiteboard:
: 165420 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-02 08:59 UTC by Bart
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-24 20:21:51 UTC


Attachments (Terms of Use)

Description Bart 2005-07-02 08:59:36 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
The following message appears after start-up. On clicking "close" system appears to run normally thusfar. Error was not apparent under previous version FC3; it appeared after installation of FC4.

"Er is een fout opgetreden bij het activeren van de XKB-configuratie.
Dit kan onder verschillende omstandigheden voorkomen:

- een fout in de libxklavier-bibliotheek
- een fout in de X-server (xkbcomp, xmodmap-hulpprogramma's)
- X server met incompatibele libxkbfile implementatie

X-server versiegegevens:
The X.Org Foundation
60802000

Indien u deze situatie als fout rapporteert, voegt u dan alstublieft toe:
- Het resultaat van <b>xprop -root | grep XKB</b>
 	Het resultaat van <b>gconftool-2 -R desktop/gnome/peripherals/keyboard/kbd</b>"

The result of xprop -root: 

XKB_RULES_NAMES_BACKUP(STRING) = "xorg", "pc105", "us_intl", "", ""
_XKB_RULES_NAMES(STRING) = "xorg", "pc105", "us_intl", "", ""

Result of gconftool-2 -R /desktop/gnome/peripherals/keyboard/kbd:

Nothing comes up.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Just starting the PC suffices.
2.
3.
  

Actual Results:  See error description

Expected Results:  No error

Additional info:

Comment 1 Bart 2005-07-02 14:36:07 UTC
This appears to be a gnome problem as KDE does not produes this error message.

Comment 2 A. Folger 2005-08-09 07:16:52 UTC
This is a problem with the implementation of particular keyboard layouts.
Previously, this was reported regarding the ca_enhanced layout in bug #125722,
specifically in this comment
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=125722#c10

In addition, the following two layouts are also broken: de_CH and fr_CH. These
bugs are critcal for those of us with keyboards sporting the broken layouts.

The bug is, I believe, in control-center, not in xorg.

Comment 3 A. Folger 2005-08-09 07:20:55 UTC
*** Bug 165420 has been marked as a duplicate of this bug. ***

Comment 4 Christian Iseli 2007-01-20 00:26:58 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 5 A. Folger 2007-01-24 20:13:14 UTC
AFAIK the problem is solved; I didn't have any problems testing Gnome with the 
de_ch keyboard layout. Thank you.


Note You need to log in before you can comment on or make changes to this bug.